INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowLinkUserName','Merchant Login','The user name or login name used to log into the Payflow Link account.','payflowLink', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowLinkPartner','Partner','The PayPal Partner used to log into the Payflow Link account. If you created your account directly with PayPal, your Partner is Verisign.','payflowLink', 'smallValue', NULL,'VeriSign',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowLinkType','Transaction Type','Select Sale to capture funds immediately, or Authorization to authorize the funds for later capture.','payflowLink', 'smallValue', NULL,'AUTHENTICATE',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowLinkURL','URL','The URL used to connect to Payflow Link account.','payflowLink', 'mediumValue', NULL,NULL,'https://payflowlink.paypal.com',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowLinkDescription','Description','The Description is passed to Payflow Link and shows up in the Payflow Link daily reports.','payflowLink', 'mediumValue', NULL,NULL,'Online Order from %%STORE_NAME%%',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowLinkComment1','Comment 1','The Comment fields are passed to Payflow Link and appear in custom reports.','payflowLink', 'mediumValue', NULL,NULL,'Phone 1: %%BILL_PHONE1%%  Phone 2:%%BILL_PHONE2%%',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowLinkComment2','Comment 2','The Comment fields are passed to Payflow Link and appear in custom reports.','payflowLink', 'mediumValue', NULL,NULL,'Email 1: %%BILL_EMAIL1%%  Email 2: %%BILL_EMAIL2%%',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowLinkInvoiceNumber','Invoice Number','The Invoice Number appears in custom reports. Note: The order number from the application is not set until after the payment is completed, so that cannot be used here.','payflowLink', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowLinkPONumber','Purchase Order Number','The Purchase Order Number appears in custom reports.','payflowLink', 'mediumValue', NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProHostAddress','Host Address','The host name used to connect to the Payflow Pro account. Use <strong>pilot-payflowpro.paypal.com</strong> for test transactions and <strong>payflowpro.paypal.com</strong> for live transactions.','payflowPro', 'mediumValue', NULL,NULL,'pilot-payflowpro.paypal.com',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProHostPort','Host Port','The port used to connect to the Payflow Pro account.','payflowPro', 'smallValue', NULL,'443',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProTimeout','Timeout','Timeout period for transactions, in seconds. The minimum recommended timeout is 30 seconds.','payflowPro', 'smallValue', NULL,'30',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProVendor','Payflow Vendor','The Merchant Login ID established when you created your Payflow Account.','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProUser','Payflow User','The user name used to log into the Payflow Pro account. This is typically the same as the PayPal Vendor unless you have created a separate user.','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProPassword','Password','The password used to log into the Payflow Pro account.','payflowPro', 'encryptedValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProPartner','Payflow Partner','The PayPal Partner used to log into the Payflow Pro account. If you created your account directly with PayPal, your Partner is <strong>PayPal</strong>.','payflowPro', 'smallValue', NULL,'VeriSign',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProComment1','Comment 1','The Comment fields are passed to Payflow Pro and appear in custom reports.','payflowPro', 'mediumValue', NULL,NULL,'Order ID: %%ORDER_ID%%  Phone 1: %%BILL_PHONE1%%  Phone 2:%%BILL_PHONE2%%  Email 1: %%BILL_EMAIL1%%  Email 2: %%BILL_EMAIL2%%',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProComment2','Comment 2','The Comment fields are passed to Payflow Pro and appear in custom reports.','payflowPro', 'mediumValue', NULL,NULL,'Del. ID: %%DELIVERY_ID%%  Del. Phone 1: %%DELIVERY_PHONE1%%  Del. Phone 2:%%DELIVERY_PHONE2%%  Del. Email 1: %%DELIVERY_EMAIL1%%  Del. Email 2: %%DELIVERY_EMAIL2%%',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCustRef','Customer Reference','The Customer Reference (custref) field appears in custom reports.','payflowPro', 'smallValue', NULL,'%%CUSTOMER_ID%%',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCustomerCode','Customer Code','The Customer Code appears in custom reports.','payflowPro', 'smallValue', NULL,'%%CUSTOMER_ID%%',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProPONumber','Purchase Order Number','The Purchase Order Number is passed to Payflow Pro appears in custom reports.','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProProxyAddress','Proxy Address','Proxy server host name. Use proxy values for servers behind a firewall.','payflowPro', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProProxyPort','Proxy Port','The port number of the proxy.','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProProxyLogon','Proxy Logon','The login name of the proxy.','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProProxyPassword','Proxy Password','The password of the proxy.','payflowPro', 'encryptedValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProVerbosity','Verbosity Level','The verbosity level of the Payflow Pro responses. Current valid values are LOW or MEDIUM.','payflowPro', 'smallValue', NULL,'MEDIUM',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProType1','Transaction Type - Level One','The transaction type for level one of the transaction and authentication options.','payflowPro', 'smallValue', NULL,'S',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProType2','Transaction Type - Level Two','The transaction type for level two of the transaction and authentication options.','payflowPro', 'smallValue', NULL,'AAS',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProType3','Transaction Type - Level Three','The transaction type for level three of the transaction and authentication options.','payflowPro', 'smallValue', NULL,'A',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProType','Transaction Type - Default','The transaction type if none of the three levels applies.','payflowPro', 'smallValue', NULL,'A',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProAuth1','Authentication - Level One','The authentication rules for level one of the transaction and authentication options.','payflowPro', 'textValue', NULL,NULL,NULL,'');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProAuth2','Authentication - Level Two','The authentication rules for level two of the transaction and authentication options.','payflowPro', 'textValue', NULL,NULL,NULL,'YYY,YYX,YYN,YXY,YXX,YXN,YNY,YNX,YNN,XYY,XYX,XYN,XXY,XNY,NYY,NYX,NYN,NXY,NNY');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProAuth3','Authentication - Level Three','The authentication rules for level three of the transaction and authentication options.','payflowPro', 'textValue', NULL,NULL,NULL,'YYY,YYX,YXY,YXX,XYY,XYX,XXY,XXX');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProAuth','Authentication - Default','The authentication rules if none of the three levels applies.','payflowPro', 'textValue', NULL,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCust1','Customer Status - Level One','','payflowPro', 'smallValue', NULL,'Qualified',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCust2','Customer Status - Level Two','','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCust3','Customer Status - Level Three','','payflowPro', 'smallValue', NULL,'',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProFloor1','Order Total Floor - Level One','','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProFloor2','Order Total Floor - Level Two','','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProFloor3','Order Total Floor - Level Three','','payflowPro', 'smallValue', NULL,'0',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCeiling1','Order Total Ceiling - Level One','','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCeiling2','Order Total Ceiling - Level Two','','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCeiling3','Order Total Ceiling - Level Three','','payflowPro', 'smallValue', NULL,'100',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCountries1','Countries - Level One','','payflowPro', 'textValue', NULL,NULL,NULL,'');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCountries2','Countries - Level Two','','payflowPro', 'textValue', NULL,NULL,NULL,'US,CA');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCountries3','Countries - Level Three','','payflowPro', 'textValue', NULL,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetLoginID','Authorize.net Login ID','The user name or login id used to log into the Authorize.net account.','authorizeNet', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetTxKey','Authorize.net Transaction Key','The Authorize.net account transaction key (obtained from the merchant interface of your Authorize.net account).','authorizeNet', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetTxType','Transaction Type','The type of transaction for Authorize.net to perform with each order.','authorizeNet', 'smallValue', NULL,'AUTH_CAPTURE',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetTestRequest','Test Mode?','If set to 1, transactions will be sent to Authorize.net as test requests and the above Login ID and Transaction Key should be for a developer account on sandbox.authorize.net. (For legacy name-value pair integration, set to 0 and change the below URL for testing instead.)','authorizeNet', 'integerValue', 1,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetEnableAcceptJS','Authorize.net Enable Accept.js?','Enables the Accept.js feature with Authorize.net. Rather than submitting payment information to the application, the browser will submit it directly to Authorize.net, retrieve a token, and submit the token to the application. The token will be used by the application to submit the transaction to Authorize.net.','authorizeNet', 'booleanValue', '1',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetAcceptJSPublicClientKey','Authorize.net Accept.js Public Client Key','To use Accept.js you must create a Client Key. Log in to the Authorize.Net merchant interface and navigate to Account > Settings > Security Settings > General Security Settings > Manage Public Client Key. Create the key and paste it here.','authorizeNet', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetDupeTxTimeout','Duplicate Transaction Timeout','Indicates in seconds the window of time after a transaction is submitted during which the payment gateway will check for a duplicate transaction.','authorizeNet', 'integerValue', 15,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetEmailCustomer','Email Customer?','If true, Authorize.net will email the customer confirmation of the payment.','authorizeNet', 'integerValue', 0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetEmailMerchant','Merchant Email Address','Email address to which the merchant copy of the customer confirmation email should be sent.','authorizeNet', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCustomerID','Customer ID','The customer ID sent to Authorize.net.','authorizeNet', 'smallValue', NULL,'%%CUSTOMER_ID%%',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetInvoiceNum','Invoice Number','The invoice number sent to Authorize.net.','authorizeNet', 'smallValue', NULL,'%%ORDER_ID%%',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetPONumber','PO Number','The purchase order number sent to Authorize.net.','authorizeNet', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetDescription','Transaction Description','A description of the transaction sent to Authorize.net.','authorizeNet', 'textValue', NULL,NULL,NULL,'Online Order from %%STORE_NAME%%  Email 1: %%BILL_EMAIL1%%  Order ID: %%ORDER_ID%%');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetURL','Authorize.net URL','Legacy name-value pairs integration method only: The URL to the Authorize.net payment gateway. Use <strong>https://secure.authorize.net/gateway/transact.dll</strong> for live accounts and <strong>https://test.authorize.net/gateway/transact.dll</strong> for test accounts.','authorizeNet', 'mediumValue', NULL,NULL,'https://secure.authorize.net/gateway/transact.dll',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKHostAddress','Host Address','The host name used to connect to the Payflow Pro account. Use test-payflow.verisign.com for test transactions and payflow.verisign.com for live transactions.','paypalUK', 'mediumValue', NULL,NULL,'test-payflow.verisign.com',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKHostPort','Host Port','The port used to connect to the Payflow Pro account.','paypalUK', 'smallValue', NULL,'443',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKTimeout','Timeout','Timeout period for transactions, in seconds. The minimum recommended timeout is 30 seconds.','paypalUK', 'smallValue', NULL,'30',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKUser','Merchant Login','The user name or login name used to log into the Payflow Pro account.','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKPassword','Password','The password used to log into the Payflow Pro account.','paypalUK', 'encryptedValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKPartner','Partner','The PayPal Partner used to log into the Payflow Pro account. If you created your account directly with PayPal, your Partner is VeriSign.','paypalUK', 'smallValue', NULL,'PayPalUK',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKVendor','Vendor','The PayPal Vendor used to log into the Payflow Pro account. (Leave blank if you do not know this.)','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKComment1','Comment 1','The Comment fields are passed to Payflow Pro and appear in custom reports.','paypalUK', 'mediumValue', NULL,NULL,'Order ID: %%ORDER_ID%%  Phone 1: %%BILL_PHONE1%%  Phone 2:%%BILL_PHONE2%%  Email 1: %%BILL_EMAIL1%%  Email 2: %%BILL_EMAIL2%%',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKComment2','Comment 2','The Comment fields are passed to Payflow Pro and appear in custom reports.','paypalUK', 'mediumValue', NULL,NULL,'Del. ID: %%DELIVERY_ID%%  Del. Phone 1: %%DELIVERY_PHONE1%%  Del. Phone 2:%%DELIVERY_PHONE2%%  Del. Email 1: %%DELIVERY_EMAIL1%%  Del. Email 2: %%DELIVERY_EMAIL2%%',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKCustRef','Customer Reference','The Customer Reference (custref) field appears in custom reports.','paypalUK', 'smallValue', NULL,'%%CUSTOMER_ID%%',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKCustomerCode','Customer Code','The Customer Code appears in custom reports.','paypalUK', 'smallValue', NULL,'%%CUSTOMER_ID%%',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKPONumber','Purchase Order Number','The Purchase Order Number is passed to Payflow Pro appears in custom reports.','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKProxyAddress','Proxy Address','Proxy server host name. Use proxy values for servers behind a firewall.','paypalUK', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKProxyPort','Proxy Port','The port number of the proxy.','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKProxyLogon','Proxy Logon','The login name of the proxy.','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKProxyPassword','Proxy Password','The password of the proxy.','paypalUK', 'encryptedValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKAVSSt','AVS Setting for Street Match','AVS Setting for Street Match.','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKAVSZip','AVS Setting for Zip Code Match','AVS Setting for Zip Code Match','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKCVV2','AVS Setting for CVV2 Match','AVS Setting for CVV2 Match','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKPaymentType','Direct Transaction Type','The transaction options for PayPal UK Direct.','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKCertPath','Paypal UK Certificate Path','Certificate Path for paypal UK','paypalUK', 'mediumValue', NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalEnvironment','Live or Sandbox (Test) Mode?','If set to live mode, transactions will be processed with the live PayPal system. If Sandbox, their test system.','paypal','smallValue',NULL,'live',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalPaymentType','PayPal Payment Type','The type of payment transaction for PayPal orders. (Sale, Order, or Authentication.)','paypal','smallValue',NULL,'Sale',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalAPIUsername','PayPal API User Name','The API user name of the PayPal business account given by PayPal when registering for API credentials.','paypal','smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalAPIPassword','PayPal API Password','The API password of the PayPal business account given by PayPal when registering for API credentials.','paypal','encryptedValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalSignature','PayPal API Signature','The API signature given by PayPal when registering for API credentials. (If not provided, the cretificate file and private key password must be.)','paypal','textValue',NULL,NULL,NULL,'');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalSubject','PayPal Subject','The name of the merchant on behalf of which api calls are made. (Optional).','paypal','smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalCertificateFile','PayPal Certificate File','The full path on the server to the certificate file used to authenticate with PayPal. (If not provided, the signature must be.)','paypal','mediumValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalPrivateKeyPassword','PayPal Private Key Password','The password for the private key associated with the certificate.','paypal','encryptedValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalTimeout','PayPal Timeout','The connection timeout in milliseconds to use when connecting to PayPal.','paypal','integerValue',15000,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalDelayTime','PayPal Delay Time','The delay time bewteen each retry call in milliseconds.','paypal','integerValue',2000,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalMaximumRetries','PayPal Maximum Retries','The maximum number of retries.','paypal','integerValue',2,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalExpressRedoShipping','Redo Shipping Prompt for PayPal Express?','If set to yes, the application will prompt the user to enter a shipping option after returning from PayPal, even if he already has. (Necessary if shipping options depend on the ship to address of the order.)','paypal','booleanValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('sendCartItemsToPayPal','Send Cart Items To PayPal?','If set to yes, the application will package and send a summary of the cart items to PayPal Express Checkout, so PayPal can display them. (Note, taxes and shipping are not displayed but discounts are.)','paypal','booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointUrl','Paypoint URL','The URL we send users to pay through Paypoint.','PAYPOINT', 'mediumValue',NULL,NULL,'https://www.secpay.com/java-bin/ValCard',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointCallback','Callback URL','The location on our server paypoint is required to call when authorisation is completed.','PAYPOINT', 'mediumValue',NULL,NULL,'https://www.yourdomain.com/Paypoint.do',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointMerchant','Username','This is your paypoint username (usually six letters followed by two numbers).','PAYPOINT', 'smallValue',NULL,'xxxxxx11',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointBackCallback','Back Callback URL','The URL the user can come back to without finishing the authorisation.','PAYPOINT', 'mediumValue',NULL,NULL,'http://www.yourdomain.com/Cart.do',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointErrTemplate','Error Template','The HTML template used by paypoint to display error messages.  Leave blank if using default.','PAYPOINT', 'mediumValue',NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointShowBack','Back Button','Set to submit when using the Back Callback URL, otherwise the back button on the payment page will act as a submit to authorise payment.','PAYPOINT', 'smallValue',NULL,'submit',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointTemplate','Template','The path to the HTML card payment page template you customised and uploaded to paypoint.','PAYPOINT', 'mediumValue',NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointAmex','Amex Test','Used for testing to indicate that you have an extra Amex merchant number.  You must actually have an amex account when live.','PAYPOINT', 'booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointCardType','CB Card Type','If on, paypoint will callback the type of card used in the transaction.','PAYPOINT', 'booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointDeferred','Deferred Option','If true, 1 unit will be authorised.  If full, the full amount will be authorised.  If reuse, the full amount will be authorised and will try to use the same authorisation code.','PAYPOINT', 'smallValue',NULL,'reuse',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointDeferredReuse','Deferred Reuse Setting','The period of days authorisation should be valid (credit card:debit card).  Example would be 5:3 for five days and three days.','PAYPOINT', 'smallValue',NULL,'5:3',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointUseDigest','Use Digest','Use the optional security digest authentication system.','PAYPOINT', 'booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointRemotePassword','Remote Password','This is used to create MD5 hash for the digest security.  Set this up in the paypoint admin.','PAYPOINT', 'mediumValue',NULL,NULL,'yourremotepassword',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointIdiompotent','Idempotent','This can be used locally when catching dups, but it is not clear in the docs what we are supposed to do with it.','PAYPOINT', 'booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointCustomerMailAttach','Attach Customer Email','Should the confirmation email be an attachment or shown inline (default = attachment)','PAYPOINT', 'booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointMerchantMailAttach','Attach Merchant Email','Should the confirmation email be an attachment or shown inline (default = attachment)','PAYPOINT', 'booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointMailOption','Email Confirmation Option','true = send email to billing email, false = do not send email, bill = send to bill email, ship = send email to shipping email','PAYPOINT', 'smallValue',NULL,'true',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointMailMerchants','Confirmation Email Addresses','Colon (:) seperated list of merchant email addresses to receive confirmation.  Overrides settings in paypoint.','PAYPOINT', 'textValue',NULL,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointMailMessage','Email Message','Additional message added to the confirmation email.','PAYPOINT', 'textValue',NULL,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointMailSubject','Email Subject','Sets the subject line of the order confirmation emails.','PAYPOINT', 'mediumValue',NULL,NULL,'Order Confirmation',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointTestStatus','Test Status','true = simulate authorised transaction, false = simulate declined transaction, live = do live authorisations.','PAYPOINT', 'smallValue',NULL,'true',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointParameters','Extra Parameters','A pipe delimited list of extra parameters (like presentation) to send to paypoint.  See paypoint docs for more values.  (ex: name=value|name=value).','PAYPOINT', 'textValue',NULL,NULL,NULL,'background=https://www.secpay.com/users/xxxxxx11/background.gif|bgcolor=white|font_color=black');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointRequireCv2','Require CV2','Require the user to enter a CV2 or security code','PAYPOINT','booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('checkPaymentProcessorMessage','Check Payment Processor Message','The message displayed on the invoice when the user elects to pay using the CheckPaymentProcessor.','PAYMENTS', 'mediumValue',0,NULL,'User elected to pay by check.',NULL);


INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMLoginID', 'Authorize.net Login ID', 'authorizeNetDPM', 'smallValue', NULL, '', NULL, NULL, 'The user name or login id used to log into the Authorize.net account.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMTxKey', 'Authorize.net Transaction Key', 'authorizeNetDPM', 'smallValue', NULL, '', NULL, NULL, 'The Authorize.net account transaction key (obtained from the merchant interface of your Authorize.net account).');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMURL', 'Authorize.net URL', 'authorizeNetDPM', 'mediumValue', NULL, NULL, 'https://secure.authorize.net/gateway/transact.dll', NULL, 'The URL to the Authorize.net payment gateway. Use <strong>https://secure.authorize.net/gateway/transact.dll</strong> for live accounts and <strong>https://test.authorize.net/gateway/transact.dll</strong> for test accounts.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMRelayURL', 'Authorize.net Relay URL', 'authorizeNetDPM', 'smallValue', NULL, '/AuthorizeNetDPMRelayResponse.do', NULL, NULL, 'The Authorize.net Relay URL. You must have this URL set up in your Authorize.net merchant interface under Accounts -> Settings -> Response/Receipt URLs.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMVersion', 'Authorize.net Version', 'authorizeNetDPM', 'smallValue', NULL, '3.1', NULL, NULL, 'The Authorize.net application version.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMMethods', 'Authorize.net Payment Methods', 'authorizeNetDPM', 'smallValue', NULL, 'CC', NULL, NULL, 'The Authorize.net payment methods you offer.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description)
VALUES ('authorizeNetDPMTxType', 'Transaction Type', 'authorizeNetDPM', 'smallValue', NULL, 'AUTH_ONLY', NULL, NULL, 'The type of transaction for Authorize.net to perform with each order.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMTestRequest', 'Test Mode?', 'authorizeNetDPM', 'booleanValue', 1, NULL, NULL, NULL, 'If true, transactions will be sent to Authorize.net as test requests.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMCustomerID', 'Customer ID', 'authorizeNetDPM', 'smallValue', NULL, '%%CUSTOMER_ID%%', NULL, NULL, 'The customer ID sent to Authorize.net.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMInvoiceNum', 'Invoice Number', 'authorizeNetDPM', 'smallValue', NULL, '%%ORDER_ID%%', NULL, NULL, 'The invoice number sent to Authorize.net.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMPONumber', 'PO Number', 'authorizeNetDPM', 'mediumValue', NULL, NULL, '', NULL, 'The purchase order number sent to Authorize.net.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMDescription', 'Transaction Description', 'authorizeNetDPM', 'textValue', NULL, NULL, NULL, 'Online Order from %%STORE_NAME%%  Email 1: %%BILL_EMAIL1%%  Order ID: %%ORDER_ID%%', 'A description of the transaction sent to Authorize.net.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMDupeTxTimeout', 'Duplicate Transaction Timeout', 'authorizeNetDPM', 'integerValue', 15, NULL, NULL, NULL, 'Indicates in seconds the window of time after a transaction is submitted during which the payment gateway will check for a duplicate transaction.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMEmailCustomer', 'Email Customer?', 'authorizeNetDPM', 'booleanValue', 0, NULL, NULL, NULL, 'If true, Authorize.net will email the customer confirmation of the payment.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMEmailCustomerConfirmationWhen', 'Email Customer Order Confirmation When?', 'authorizeNetDPM', 'booleanValue', 1, NULL, NULL, NULL, 'If During Payment Process, the system will email the customer their order confirmation as soon as the payment is cleared. Doing so may increase the likelihood of Authorize.net not receiving a response within their timeout period, which is 10 seconds as of this writing, and thus showing the customer an error message. To speed up the response, you can set this to After Payment Process, in which case the emails will be sent after the receipt page is shown. If your fulfillment process depends on the emails, use caution since the browser may fail to redirect to the receipt page. Note that this setting is ignored and treated like After Payment Process if the below Complete Order When? setting is set to After Payment Process.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMDelayOrderProcessing', 'Complete Order When?', 'authorizeNetDPM', 'booleanValue', 1, NULL, NULL, NULL, 'If During Payment Process, the system will mark the order complete as soon as Authorize.net sends its Relay Response request. If Authorize.net does not receive a response within their timeout period, which is 10 seconds as of this writing, it presents the customer with an error message. To reduce the possibility of that error message, you can set this to After Payment Process. With that setting, the system will save the payment transaction details from Authorize.net and immediately return a confirmation in an attempt to avoid the timeout. The order will then get processed in the system when the browser sends the customer to the Thank You page. To mitigate against the possibility of the browser failing to redirect, refer to CommandLineFiledPaymentCheck to set up a failsafe cron task to process orders that fail to complete when After Payment Process is set.');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataClientCertificatePath','Client Certificate Path','The path to your .p12 certificate file created from the .pem file downloaded from your First Data Global Gateway account. If the path begins with /WEB-INF, it represents a path under the installation directory. You must create the .p12 file and upload it to the server. To create a .p12 file from a .pem file, use the following openssl command as an example: <strong>openssl pkcs12 -export -in yourpemfile.pem -inkey yourpemfile.pem -out firstDataCertificate.p12 -passout pass:yourpassword -name "First Data Global Gateway"</strong>. Refer to the <a target="_new" href="http://www.firstdata.com/downloads/marketing-merchant/fd_globalgatewayapi_usermanual.pdf">First Data Global API User Manual</a> for more information.','FIRSTDATA', 'mediumValue',NULL,NULL,'/WEB-INF/conf/keys/firstDataCertificate.p12',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataClientCertificatePassword','Client Certificate Password','The password that was used when converting the .pem file downloaded from your First Data Global Gateway account to the .p12 Client Certificate file.','FIRSTDATA', 'encryptedValue',NULL,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataStoreNumber','Store Number','The store number from your First Data Global Gateway account.','FIRSTDATA', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataAPIHostName','API Host Name','The host name used by the API service to connect to the First Data Global Gateway. As of this writing, use <strong>staging.linkpt.net</strong> for test accounts and <strong>api.qa.linkpoint.com</strong> for live accounts.','FIRSTDATA', 'mediumValue',NULL,NULL,'api.qa.linkpoint.com',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataAPIPort','API Port Number','The port used by the API service to connect to the First Data Global Gateway.','FIRSTDATA', 'integerValue', 1129,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataTransactionType','Transaction Type','The type of transaction for the First Data Global Gateway to perform with each order. (Valid values are SALE and PREAUTH.)','FIRSTDATA', 'smallValue', NULL,'PREAUTH',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataTestMode','Test Mode','The test mode used for each transaction. For testing, use GOOD, DECLINE, or DUPLICATE. For live transactions use LIVE.','FIRSTDATA', 'smallValue', NULL,'LIVE',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataComments','Comments','The comments sent to the First Data Global Gateway with optional extra information about each order.','FIRSTDATA', 'textValue', NULL,NULL,NULL,'Online Order from %%STORE_NAME%%  Email 1: %%BILL_EMAIL1%%  Order ID: %%ORDER_ID%%');

INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetCIMLoginID', 'Authorize.net Login ID', 'authorizeNetCIM', 'smallValue', NULL, '', NULL, NULL, 'The user name or login id used to log into the Authorize.net account.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetCIMTxKey', 'Authorize.net Transaction Key', 'authorizeNetCIM', 'smallValue', NULL, '', NULL, NULL, 'The Authorize.net account transaction key (obtained from the merchant interface of your Authorize.net account).');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMTestRequest','Test Mode?','If true, transactions will be sent to the Authorize.net CIM test URLs. Set to false to run live transactions.','authorizeNetCIM', 'booleanValue', 1,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMTxType','Transaction Type','The type of transaction for Authorize.net CIM to perform with each order.','authorizeNetCIM', 'smallValue', NULL,'AUTH_ONLY',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMHostedMethod', 'CIM Form Display Method', 'Which method should the system use when displaying the payment form for CIM? The options are API Only, where the SoftSlate application serves the form, or Embedded IFrame, Popup IFrame, and Redirect, where the form is served by Authorize.net.', 'authorizeNetCIM', 'smallValue', NULL, 'Embedded IFrame', NULL, NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMHeadingBgColor','CIM Hosted Form Heading BG Color','Enter a hex color string such as #e0e0e0. When displaying the hosted payment form, the background color of the section headers changes from gray to a custom color.','authorizeNetCIM', 'smallValue', NULL,'#e0e0e0',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMReturnUrlText','CIM Hosted Form Return Text','Enter the text to display on the button that returns the customer to your website. The value can be any text up to 200 characters. If you do not pass this parameter, the default button text is Continue. Only used if not using iframe or API only methods.','authorizeNetCIM', 'mediumValue', NULL,NULL,'Continue...',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMFillBillingAddress','Fill Order with CIM Billing Address','If true, after a CIM payment method is chosen, the system will fill in the order billing address information with the billing address information provided to CIM during checkout.  This would normally be yes if you are asking for limited billing information during checkout and you are using CIM for payments.','authorizeNetCIM', 'booleanValue', 1,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMAllowDeletePayments','Allow Customers to Delete Payment Methods','If true, customers are allowed to delete payment methods when using CIM.','authorizeNetCIM', 'booleanValue', 1,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMManageProfiles','Enable CIM Profile Management in Customer Account','If true, customers will be allowed to manage their Authorize.net CIM profile by clicking a link in the customer account area.','authorizeNetCIM', 'booleanValue', 1,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMFullManageWindow','Use CIM Full Manage Window','If using the IFrame Popup or Redirect method, this will allow the user to add/edit/delete payment methods and shipping methods directly through CIM.   SoftSlate does not currently use the shipping methods, so this may be confusing to the user.  The default is to only allow users to add payment methods or edit payment methods individually.','authorizeNetCIM', 'booleanValue', 0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMInvoiceNum','Invoice Number','The invoice number sent to Authorize.net CIM.','authorizeNetCIM', 'smallValue', NULL,'%%ORDER_ID%%',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMPONumber','PO Number','The purchase order number sent to Authorize.net CIM.','authorizeNetCIM', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMDescription','Transaction Description','A description of the transaction sent to Authorize.net.','authorizeNetCIM', 'textValue', NULL,NULL,NULL,'Online Order from %%STORE_NAME%%  Email 1: %%BILL_EMAIL1%%  Order ID: %%ORDER_ID%%');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMEmailCustomer','Email Customer?','If true, Authorize.net CIM will email the customer confirmation of the payment.','authorizeNetCIM', 'booleanValue', 0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMEmailMerchant','Merchant Email Address','Email address to which the merchant copy of the customer confirmation email should be sent.','authorizeNetCIM', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMIncludeLineItems','Include Line Items in Emails','If true, Authorize.net CIM will include totals and line items in their emails to customers.','authorizeNetCIM', 'booleanValue', 0 ,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMValidationMode','Validation Mode','The validation mode that should be used when Authorize.net CIM adds a new payment profile (none,testMode,liveMode). testMode - performs field validation only. All fields are validated. However, fields with unrestricted field definitions (such as telephone number) do not generate errors. If you select testMode, a $1.00 test transaction is submitted using the Luhn MOD 10 algorithm to verify that the credit card number is in a valid format. This test transaction does not appear on the customers credit card statement, but it will generate and send a transaction receipt email to the merchant. liveMode - generates a transaction to the processor in the amount of $0.01 or $0.00. If successful, the transaction is immediately voided. Visa authorization transactions are changing from $0.01 to $0.00 for all processors. All other credit card types use $0.01. Consult your Merchant Account Provider before changing to Zero Dollar Authorizations for Visa because you may be subject to fees. For Visa transactions using $0.00, the billTo address and billTo zip fields are required. none - When this value is submitted, no additional validation is performed.','authorizeNetCIM', 'smallValue', NULL,'none',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMeCheck','eCheck Enabled?','Are eCheck payment enabled in your authorize.net CIM account?','authorizeNetCIM', 'booleanValue', 0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMDupeTxTimeout','Duplicate Transaction Timeout','Indicates in seconds the window of time after a transaction is submitted during which the payment gateway will check for a duplicate transaction.','authorizeNetCIM', 'integerValue', 60,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMApiTestURL','CIM API Test URL','The URL to the test Authorize.net CIM XML API.','authorizeNetCIM', 'mediumValue', NULL,NULL,'https://apitest.authorize.net/xml/v1/request.api',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMApiLiveURL','CIM API Live URL','The URL to the live Authorize.net CIM XML API.','authorizeNetCIM', 'mediumValue', NULL,NULL,'https://api.authorize.net/xml/v1/request.api',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMTestWSDL','CIM WSDL Test URL','The URL to the test Authorize.net CIM WSDL.','authorizeNetCIM', 'mediumValue', NULL,NULL,'https://apitest.authorize.net/soap/v1/Service.asmx?wsdl',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMWSDL','CIM WSDL URL','The URL to the live Authorize.net CIM WSDL.','authorizeNetCIM', 'mediumValue', NULL,NULL,'https://api.authorize.net/soap/v1/Service.asmx?wsdl',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMServiceURL','CIM Service URL','The URL to the Authorize.net CIM Service.','authorizeNetCIM', 'mediumValue', NULL,NULL,'https://api.authorize.net/soap/v1/',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMIFrameCommunicatorUrl','IFrame Communicator URL','Enter the URL to a page that can communicate with the merchants main page using javascript. This enables you to dynamically change the size of the popup so there are no scroll bars. This parameter is required only for iframe or lightbox applications. The application will append the Customer Secure URL to this setting.','authorizeNetCIM', 'mediumValue', NULL,NULL,'/js/cim/IframeCommunicator.html',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMskipZIndexCheck','Skip Z Index Check','Set this to true if you are using iframe and you do not have absolutely positioned elements on your page that can obstruct the view of the popup. This can speed up the processing of the page slightly.','authorizeNetCIM', 'booleanValue', 0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureIframeURL','CRE IFrame Request URL','Use https://www.cresecure.net/hpf/1_1/ for live or https://www.sandbox-cresecure.net/hpf/1_1/ for the testing sandbox.','CRESECURE', 'mediumValue',NULL,NULL,'https://www.sandbox-cresecure.net/hpf/1_1/',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureMerchPass','CRE Secure ID','Unique ID Number provided by CRE Secure. Also known as CRE Secure ID.','CRESECURE', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureAPIToken','CRE API Token','API Token provided by CRE Secure.','CRESECURE', 'mediumValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureTokenize','CRE Token Options','Invokes the CRE Tokenization capability described in CRE Card Tokenization Services.  This allows you to store the token for future payments.','CRESECURE', 'smallValue',NULL,'store_authorize',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureCapturePriorAuthPaymentsViaCIM','CRE Capture Prior Auth Payments Via CIM?','CRE Secure can talk to an Authorize.net CIM account on the back end. If this is how your CRE account is set up, you can use this setting to capture prior-authorized payment using the Authorize.net CIM account directly, when an order is flipped to Shipped status. You must configure your Authorize.net CIM credentials on the Authorize.net CIM Settings screen if enabling this.','CRESECURE', 'booleanValue',1,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureFormType','CRE Form Type','Sets the default base layout for the payment form. This parameter takes the following values: 0 - Short, 1 - Tall, 4 - iPhone, 5 - Mobile','CRESECURE', 'smallValue',NULL,'0',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureAllowedTypes','CRE Allowed Payment Types','Pipe delimited list of possible payment types, all would be Visa|MasterCard|American Express|Discover|GSA SmartPay','CRESECURE', 'mediumValue',NULL,NULL,'Visa|MasterCard',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureTransType','CRE Transaction Type','Sets the transaction type: auth_capture � Sets the transaction type to Sale. auth_only � Sets the transaction type to Auth Only. The default for this parameter is set in the merchant profile.','CRESECURE', 'smallValue',NULL,'auth_only',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureRequired','CRE Required Fields','Sets the fields required in the payment form. This parameter takes the following values: all � All fields required, minimum � Name on Card and CVV optional. If no value is set, default is Name on Card required, CVV optional.','CRESECURE', 'smallValue',NULL,'all',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureCollectAddress','CRE Collect Billing Address','Sets the option to display billing address fields on the payment form. This parameter takes the following values: 0 � Do no display address fields on the payment form, 1 � Display address fields on the payment form, 2 � Display address fields including a country field on the payment form.','CRESECURE', 'smallValue',NULL,'0',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureValidationServiceURL','CRE Validation URL','Use https://www.cresecure.net/direct/services/validation/ for live or https://www.sandbox-cresecure.net/direct/services/validation/ for the testing sandbox.','CRESECURE', 'mediumValue',NULL,NULL,'https://www.sandbox-cresecure.net/direct/services/validation/',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureAuthorizationServiceURL','CRE Authorization URL','Use https://direct.cresecure.net/direct/services/authorize/ for live or https://www.sandbox-cresecure.net/direct/services/authorize/ for the testing sandbox.','CRESECURE', 'mediumValue',NULL,NULL,'https://www.sandbox-cresecure.net/direct/services/authorize/',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureCSSURL','CRE CSS URL','The URL to the CSS file to style the embedded iframe form from CRE Secure. If left blank, it will use what is setup in the CRE account. This can either be a full https URL or a relative URL starting with /, in which case the Customer Secure URL setting will be prepended to it.','CRESECURE', 'mediumValue',NULL,NULL,'/css/base/cre.css',NULL);
