<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<div class="table-responsive">
	<table class="inventory table table-striped table-condensed table-bordered">
		<tr>
			<th><bean:message key="product.skuName" bundle="/product"/></th>
			<th><bean:message key="product.inventoryLevel" bundle="/product"/></th>
			<th><bean:message key="product.skuMessage" bundle="/product"/></th>
		</tr>
		<logic:iterate name="product" property="skus" id="sku">
			<c:if test="${sku.trackInventory}">
				<tr>
					<td>${sku.skuName}</td>
					<td>${sku.inventoryLevel}</td>
					<td>${sku.skuMessage}</td>
				</tr>
			</c:if>
		</logic:iterate>
		<logic:iterate name="product" property="productAttributes" id="pa">
			<logic:iterate name="attributeSKUCollection" id="sku">
				<c:if test="${pa.attributeID eq sku.attributeID1 and sku.trackInventory}">
					<tr>
						<td>${sku.skuName}</td>
						<td>${sku.inventoryLevel}</td>
						<td>${sku.skuMessage}</td>
					</tr>
				</c:if>
			</logic:iterate>
		</logic:iterate>
	</table>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
