<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start downloadList.jsp -->
<%--No Downloads message--%>
<c:if test="${empty downloads or downloads['empty']}">
	<p id="noDownloads"><bean:message key="accountDownload.noDownloads" bundle="/customer"/></p>
</c:if>
<c:if test="${!empty downloads and !downloads['empty']}">
	<table id="downloadsTable" class="grid accountTable" summary="List of files available for download.">
		<tr class="listHeading">
			<th><bean:message key="order.order" bundle="/order"/></th>
			<th><bean:message key="accountDownload.description" bundle="/customer"/></th>
			<th><bean:message key="accountDownload.file" bundle="/customer"/></th>
			<th>&nbsp;</th>
		</tr>
		<logic:iterate name="downloads" id="download" indexId="index">
			<c:set var="files" value="${download.downloadsFiles}"/>
			<c:set var="names" value="${download.downloadsNames}"/>
			<c:set var="mimes" value="${download.downloadsMimes}"/>
			<c:set var="descriptions" value="${download.downloadsDescriptions}"/>
			<% 
				String files = (String) pageContext.getAttribute("files");
				String names = (String) pageContext.getAttribute("names");
				String mimes = (String) pageContext.getAttribute("mimes");
				String descriptions = (String) pageContext.getAttribute("descriptions");
				if (files != null && names != null && mimes != null && descriptions != null) {
					String[] filesArray = files.split(",");
					String[] namesArray = names.split(",");
					String[] mimesArray = mimes.split(",");
					String[] descriptionsArray = descriptions.split(",");
					for (int i = 0; i < filesArray.length; i++) {
						if (filesArray[i] != null && filesArray[i].length() > 0) {
			%>
			<c:choose>
				<c:when test="${thisClass eq altRowClass}"><c:set var="thisClass" value="${rowClass}"/></c:when>
				<c:otherwise><c:set var="thisClass" value="${altRowClass}"/></c:otherwise>
			</c:choose>
			<tr id="download-<c:out value="${download.productSettingID}"/>" class="download <c:out value="${thisClass}"/>">
				<%--Order number--%>
				<td class="orderNumber <c:out value="${thisClass}"/>">
					<logic:greaterThan name="download" property="orderNumber" value="0">
						<html:link href="${secureURL}/OrderDetails.do" paramId="orderNumber" paramName="download" paramProperty="orderNumber">
							<c:out value="${download.orderNumber}"/>
						</html:link>
					</logic:greaterThan>
				</td>
				<%--Description--%>
				<td class="description <c:out value="${thisClass}"/>">
					<c:set var="display"><%= descriptionsArray[i] %></c:set>
					<c:out value="${display}"/>
				</td>
				<%--File name--%>
				<td class="name <c:out value="${thisClass}"/>">
					<c:set var="display"><%= namesArray[i] %></c:set>
					<c:out value="${display}"/>
				</td>
				<%--Download button--%>
				<td class="downloadButton <c:out value="${thisClass}"/>">
					<c:set var="display"><%= namesArray[i] %></c:set>
					<html:link href="${customerURL}/ProcessDownload.do?productSettingID=${download.productSettingID}&name=${display}" styleClass="buttonLink">
						<span id="accountDownloadButton" class="buttonWrap"><button class="button"><bean:message key="accountDownload.button" bundle="/customer"/></button></span>
					</html:link>
				</td>
			</tr>
			<%			}
					}
				}
			%>
		</logic:iterate>
	</table>
</c:if>
<!-- End downloadList.jsp -->
