<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start inventory.jsp -->
<table class="inventory chart" summary="Inventory chart">
	<tr>
		<th><bean:message key="product.skuName" bundle="/product"/></th>
		<th><bean:message key="product.inventoryLevel" bundle="/product"/></th>
		<th><bean:message key="product.skuMessage" bundle="/product"/></th>
	</tr>
	<logic:iterate name="product" property="skus" id="sku">
		<c:if test="${sku.trackInventory}">
			<tr>
				<td><c:out value="${sku.skuName}"/></td>
				<td><c:out value="${sku.inventoryLevel}"/></td>
				<td><c:out value="${sku.skuMessage}"/></td>
			</tr>
		</c:if>
	</logic:iterate>
	<logic:iterate name="product" property="productAttributes" id="pa">
		<logic:iterate name="attributeSKUCollection" id="sku">
			<c:if test="${pa.attributeID eq sku.attributeID1 and sku.trackInventory}">
				<tr>
					<td><c:out value="${sku.skuName}"/></td>
					<td><c:out value="${sku.inventoryLevel}"/></td>
					<td><c:out value="${sku.skuMessage}"/></td>
				</tr>
			</c:if>
		</logic:iterate>
	</logic:iterate>
</table>
<!-- End inventory.jsp -->
