<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.product.Product,
	com.softslate.commerce.businessobjects.core.BusinessObjectFactory,
	java.util.Collection,
	java.util.Map,
	com.softslate.commerce.businessobjects.order.InventoryProcessor,
	com.softslate.commerce.businessobjects.order.CartDiscountProcessor" %>
<!-- Start inventoryDiscountSettings.jsp -->
<%-- Define useful inventory and discount settings and save them as request variables. --%>
<% 
	// Define inventory settings
	BusinessObjectFactory bof = (BusinessObjectFactory) request.getAttribute("businessObjectFactory");
	String trackInventory = (String) bof.getSettings().getValue("trackInventory");
	if (trackInventory.equals("1")) {
		if (request.getAttribute("inventoryProcessor") == null) {
			request.setAttribute("inventoryProcessor", bof.createObject("inventoryProcessorImplementer"));
		}
		InventoryProcessor inventoryProcessor = (InventoryProcessor) request.getAttribute("inventoryProcessor");
		Map inventorySettings = inventoryProcessor.defineInventorySettings((Product) pageContext.findAttribute("product"),
				(Collection) pageContext.findAttribute("attributeSKUCollection"));
		request.setAttribute("inventorySettings", inventorySettings);
		request.setAttribute("prodSkuKey", inventorySettings.get("prodSkuKey"));
		request.setAttribute("trackInventory", inventorySettings.get("trackInventory"));
		request.setAttribute("trackProduct", inventorySettings.get("trackProduct"));
		request.setAttribute("trackOtherSKUs", inventorySettings.get("trackOtherSKUs"));
		request.setAttribute("overrideGlobal", inventorySettings.get("overrideGlobal"));
		request.setAttribute("productOutOfStock", inventorySettings.get("productOutOfStock"));
		request.setAttribute("denyPurchase", inventorySettings.get("denyPurchase"));
	}
	
	// Define discount settings
	if (request.getAttribute("cartDiscountProcessor") == null) {
		request.setAttribute("cartDiscountProcessor", bof.createObject("cartDiscountProcessorImplementer"));
	}
	CartDiscountProcessor cartDiscountProcessor = (CartDiscountProcessor) request.getAttribute("cartDiscountProcessor");
	Map discountSettings = cartDiscountProcessor.defineDiscountSettings((Product) pageContext.findAttribute("product"),
			(Collection) pageContext.findAttribute("attributeSKUCollection"), (Collection) pageContext.findAttribute("storeDiscounts"));
	request.setAttribute("discountSettings", discountSettings);
	request.setAttribute("displayDiscounts", discountSettings.get("displayDiscounts"));
	request.setAttribute("displayProductDiscount", discountSettings.get("displayProductDiscount"));
	request.setAttribute("productDiscount", discountSettings.get("productDiscount"));
	request.setAttribute("productDiscounts", discountSettings.get("productDiscounts"));
	request.setAttribute("productDiscountAmount", discountSettings.get("productDiscountAmount"));
	request.setAttribute("productDiscountNumberFree", discountSettings.get("productDiscountNumberFree"));
	request.setAttribute("productDiscountExpirationDate", discountSettings.get("productDiscountExpirationDate"));
	request.setAttribute("displaySkuDiscounts", discountSettings.get("displaySkuDiscounts"));
	request.setAttribute("skuDiscountsToDisplay", discountSettings.get("skuDiscountsToDisplay"));
	request.setAttribute("displayPromotions", discountSettings.get("displayPromotions"));
%>
<!-- End inventoryDiscountSettings.jsp -->
