package com.softslate.commerce.businessobjects.events;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObject;
import com.softslate.commerce.businessobjects.core.BusinessProcessor;
import com.softslate.commerce.businessobjects.product.Product;

public interface ChangingProductEvent extends BusinessObject {

	public BusinessProcessor getBusinessProcessor();

	public void setBusinessProcessor(BusinessProcessor businessProcessor);

	public Product getProduct();

	public void setProduct(Product product);

	public Map getIncomingParameters();

	public void setIncomingParameters(Map incomingParameters);

	public Map getResults();

	public void setResults(Map results);
}