package com.softslate.commerce.businessobjects.payment.authorizeNet;

/**
 * net.authorize.ResponseField enum has some of these up to around 23, but not
 * all of them. Maybe newer versions have more, but since it is missing fields,
 * just use these constants instead
 * 
 * @author jmcwill
 * 
 */
public final class AuthorizeNetAIMConstants {

	public static final int RESPONSE_CODE = 0;
	public static final int RESPONSE_SUBCODE = 1;
	public static final int RESPONSE_REASON_CODE = 2;
	public static final int RESPONSE_REASON_TEXT = 3;
	public static final int RESPONSE_AUTH_CODE = 4;
	public static final int RESPONSE_AVS_CODE = 5;
	public static final int RESPONSE_TRANSACTION_ID = 6;
	public static final int RESPONSE_AMOUNT = 9;
	public static final int RESPONSE_METHOD = 10;
	public static final int RESPONSE_TRANSACTION_TYPE = 11;
	public static final int RESPONSE_CUSTOMER_ID = 12;

	public static final int RESPONSE_BILL_FIRST_NAME = 13;
	public static final int RESPONSE_BILL_LAST_NAME = 14;
	public static final int RESPONSE_BILL_COMPANY = 15;
	public static final int RESPONSE_BILL_ADDRESS = 16;
	public static final int RESPONSE_BILL_CITY = 17;
	public static final int RESPONSE_BILL_STATE = 18;
	public static final int RESPONSE_BILL_ZIP_CODE = 19;
	public static final int RESPONSE_BILL_COUNTRY = 20;
	public static final int RESPONSE_BILL_PHONE = 21;
	public static final int RESPONSE_BILL_FAX = 22;
	public static final int RESPONSE_BILL_EMAIL_ADDRESS = 23;

	public static final int RESPONSE_SHIP_FIRST_NAME = 24;
	public static final int RESPONSE_SHIP_LAST_NAME = 25;
	public static final int RESPONSE_SHIP_COMPANY = 26;
	public static final int RESPONSE_SHIP_ADDRESS = 27;
	public static final int RESPONSE_SHIP_CITY = 28;
	public static final int RESPONSE_SHIP_STATE = 29;
	public static final int RESPONSE_SHIP_ZIP_CODE = 30;
	public static final int RESPONSE_SHIP_COUNTRY = 31;

	public static final int RESPONSE_TAX = 32;
	public static final int RESPONSE_DUTY = 33;
	public static final int RESPONSE_FREIGHT = 34;
	public static final int RESPONSE_TAX_EXEMPT = 35;
	public static final int RESPONSE_PO_NUMBER = 36;
	public static final int RESPONSE_MD5_HASH = 37;
	public static final int RESPONSE_CVV2_CODE = 38;
	public static final int RESPONSE_AUTHENTICATION_RESPONSE_CODE = 39;

	public static final int RESPONSE_ACCOUNT_NUMBER = 50;
	public static final int RESPONSE_CARD_TYPE = 51;

}
