UPDATE sscSetting SET smallValue='2.1.3' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_Url','UPS URL','The URL to the UPS live or testing server. (Use https://www.ups.com/ups.app/xml/Rate for live rates, and https://wwwcie.ups.com/ups.app/xml/Rate for testing.','UPS', 'mediumValue',NULL,NULL,'https://wwwcie.ups.com/ups.app/xml/Rate',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_userId','User ID','The UPS Online Tools User ID you created when you registered for Online Tools on ups.com.','UPS', 'mediumValue',NULL,NULL,'userid',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_password','Password','The UPS Online Tools password you created when you registered for Online Tools on ups.com.','UPS', 'mediumValue',NULL,NULL,'password',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_accessLicenseNumber','Your UPS XML Access Key','The UPS XML Access Key you were given by UPS when you created it on ups.com.','UPS', 'mediumValue',NULL,NULL,'XXXXXXXXXXXXXXXX',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_pickupTypeCode','Pickup Type Code','The method you use to get your packages to UPS.','UPS', 'mediumValue',NULL,NULL,'01',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_customerClassificationCode','Customer Classification Code','The classification of your business.','UPS', 'mediumValue',NULL,NULL,'04',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_validServiceCodes','Services Offerred','The UPS services offered to customers during checkout (if applicable for the order).','UPS', 'mediumValue',NULL,NULL,'01,02,03,12',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipperName','Shipper Name','The company name to use for your store for UPS shipments.','UPS', 'mediumValue',NULL,NULL,'Shipper Co.',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipperAttentionName','Shipper Attention Name','The Attention To to use for your company for UPS shipments.','UPS', 'mediumValue',NULL,NULL,'Shipping and Receiving',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipperTaxIdNumber','Shipper Tax ID Number','Your company Tax ID number (if applicable).','UPS', 'mediumValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipperPhoneNumber','Shipper Phone Number','The phone number to use for your company for UPS shipments.','UPS', 'mediumValue',NULL,NULL,'xxx-xxx-xxxx',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipperFaxNumber','Shipper Fax Number','The fax number to use for your company for UPS shipments.','UPS', 'mediumValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipperNumber','Shipper Number','Your UPS account number.','UPS', 'mediumValue',NULL,NULL,'XXXXXX',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipperCity','Shipper City','The city to use for your company for UPS shipments (required if country does not utilize postal codes).','UPS', 'mediumValue',NULL,NULL,'Your City',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipperStateCode','Shipper State Code','The state code to use for your company for UPS shipments (required if country utilizes postal codes).','UPS', 'mediumValue',NULL,NULL,'ST',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipperPostalCode','Shipper Postal Code','The postal code to use for your company for UPS shipments (required if country utilizes postal codes).','UPS', 'mediumValue',NULL,NULL,'000000',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipperCountryCode','Shipper Country Code','The country code to use for your company for UPS shipments.','UPS', 'mediumValue',NULL,NULL,'US',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_residentialAddressIndicator','Residential Address Indicator','A flag indicating if the receiver address is a residential location.','UPS', 'integerValue',2,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipFromCity','Senders City','The originating city for shipments (required if country does not utilize postal codes).','UPS', 'mediumValue',NULL,NULL,'City',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipFromStateCode','Senders State Code','The originating state code for shipments. Required if sending Ship From information.','UPS', 'mediumValue',NULL,NULL,'ST',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipFromPostalCode','Senders Postal Code','The originating postal code (required if country utilizes postal codes).','UPS', 'mediumValue',NULL,NULL,'000000',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipFromCountryCode','Senders Country Code','The originating country code of shipments.','UPS', 'mediumValue',NULL,NULL,'US',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_unitOfMeasurementCode','Unit of Measurement','The unit of weight measurement of the items in your store.','UPS', 'mediumValue',NULL,NULL,'LBS',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_packageCodeType','Package Code Type','The default package type used in your store. (May be overridden with the Shipping Rule Range pkgExtra1 field, by entering 01, 02, etc.)','UPS', 'mediumValue',NULL,NULL,'02',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_packageOversizePackage','Oversized Package','The default oversized package flag sent to UPS. (May be overridden with the Shipping Rule Range pkgExtra3 field, by entering 1, 2, or 3.)','UPS', 'mediumValue',NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_useInsuredValue','Use Insured Value','Include the declared value when calling UPS for insured values. (May be overridden with the Shipping Rule Range pkgExtra4 field, by entering 1 for true or 0 for false.)','UPS', 'mediumValue',NULL,NULL,'Yes',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_insuredValueCurrencyCode','Insured Value Currency Code','The currency code for the insured value. Example: USD','UPS', 'mediumValue',NULL,NULL,'USD',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_rateInformationNegotiatedRatesIndicator','Negotiated Rates Indicator','If true, and the shipper is qualified, Negotiated Rates will be displayed to customers.','UPS', 'mediumValue',NULL,NULL,'Yes',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_packageUseDimensions','Use Package Dimensions','If true, a width, length, and height will be sent to UPS in addition to weight. (May be overridden with the Shipping Rule Range pkgExtra2 field, by entering 1 for true or 0 for false.)','UPS', 'mediumValue',NULL,NULL,'No',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_getRatesError','Get Rates Error','The error message shown to users when having trouble contacting UPS.','UPS', 'textValue',NULL,NULL,NULL,'Error getting rates from UPS.  Please contact administrator with error code.');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_packageDimensionsUomCode','Package Dimensions Unit of Measurement','The unit of measurement for the dimensionas of items in your store.','UPS', 'mediumValue',NULL,NULL,'IN',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_packageDimensionsLength','Default package length','The default package length for UPS.','UPS', 'mediumValue',NULL,NULL,'1',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_packageDimensionsHeight','Default package height','The default package height for UPS.','UPS', 'mediumValue',NULL,NULL,'2',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_packageDimensionsWidth','Default package width','The default package width for UPS.','UPS', 'mediumValue',NULL,NULL,'3',NULL);
