UPDATE sscSetting SET smallValue='2.3.5' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('useImageVerificationWithRegistrations','Use Image Verification with Registrations','If true, new customers creating accounts will be required to enter text matching a generated image.','LOGIC', 'integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('useImageVerificationWithCCInfo','Use Image Verification with Credit Card Form','If true, customers entering credit card information will be required to enter text matching a generated image.','LOGIC', 'integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('useImageVerificationWithAdminLogins','Use Image Verification with Administrator Logins','If true, administrators logging in will be required to enter text matching a generated image.','LOGIC', 'integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('useSEOCodeForProductURLs','Use SEO Code for Product URLs','If true, the system will use the SEO Code value of each product, if present, when writing links to the Product Screens.','SEO', 'integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('automaticallySaveLastCart','Automatically Save Last Cart','If true, the system will automatically save the last cart for each user and restore it the next time he visits the site. Places a persistent cookie to record the saved cart token.','SYSTEM', 'integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('allowCustomerAutoLogins','Allow Auto Logins for Customers','If true, customers will see a Remember Me? prompt upon logging in, which will store a persistent cookie and allow them to automatically login with future visits.','SYSTEM', 'integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('autoLoginDays','Auto Login Days','The number of days the customer will be automatically logged in for, after which a new login will be required. Zero indicates no limit.','SYSTEM', 'integerValue',0,NULL,NULL,NULL);
