<%@ page import="au.com.bytecode.opencsv.CSVWriter,java.util.Collection,java.util.Iterator,com.softslate.commerce.administrator.importexport.SalesByProductForm"%><% 

	SalesByProductForm salesByProductForm = (SalesByProductForm) request.getAttribute("salesByProductForm");
	Character delimiter = (Character) request.getAttribute("delimiter");
	CSVWriter writer = new CSVWriter(response.getWriter(), delimiter.charValue());
	String reportRunString = (new java.text.SimpleDateFormat("yyyy-MM-dd HH:mm:ss")).format(new java.util.Date());
	
	String[] title = new String[] { "Sales by Product Report"};
	String[] startDate = new String[] { "Start Date", salesByProductForm.getStartDate()};
	String[] endDate = new String[] { "End Date", salesByProductForm.getEndDate()};
	String[] reportRun = new String[] { "Report Run", reportRunString};
	String[] emptyLine = new String[] {""};
	
	String[] headers;
	headers = new String[7];
	headers[0] = "Name";
	headers[1] = "Code";
	headers[2] = "First Order";
	headers[3] = "Last Order";
	headers[4] = "Quantity";
	headers[5] = "Number of Orders";
	headers[6] = "Total";

	writer.writeNext(title);
	writer.writeNext(emptyLine);
	writer.writeNext(startDate);
	writer.writeNext(endDate);
	writer.writeNext(reportRun);
	writer.writeNext(emptyLine);
	writer.writeNext(headers);
	
	Collection records = (Collection) request.getAttribute("salesByProduct");
	if (records != null) {
		Iterator i = records.iterator();
		String[] row = new String[headers.length];
		while (i.hasNext()) {
			Object[] record = (Object[]) i.next();
	
			// Start a new row
			row = new String[record.length];
			
			// Create the row String[] from the record map
			for (int j = 0; j < record.length; j++) {
				if (record[j] != null) {
					row[j] = record[j].toString();
				} else {
					row[j] = "";
				}
			}
	
			writer.writeNext(row);
		}
	}
%>
