<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start optionEditForm.jsp -->
<html:form action="/OptionEdit" enctype="multipart/form-data" method="post">
	<html:hidden name="optionAddEditForm" property="optionID" />
	<table class="addEditTable settingsTable">
		<tr>
			<td class="genericLabel">
				Option ID:
			</td>
			<td>
				<bean:write name="optionAddEditForm" property="optionID" />
			</td>
		</tr>
		<ssc:insert attribute="formGuts" />
	</table>
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
</html:form>
<logic:equal name="editPermission" value="true">
	<form name="optionDeleteForm" class="adminDeleteButton" action="<c:out value="${settings.map.administratorURL}"/>/OptionDelete.do" method="post">
		<html:hidden name="optionAddEditForm" property="optionID" />
		<html:hidden name="optionAddEditForm" property="attributeID" />
		<html:hidden name="optionAddEditForm" property="productID" />
		<html:hidden name="optionAddEditForm" property="optionCode" />
		<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteProductSubmit"
			value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</logic:equal>
<!-- End optionEditForm.jsp -->
