<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<div id="productSettingsScreen">

	<!-- Edit Form -->
	<html:form action="/ProductSettingsProcessImages" method="post">
		<html:hidden name="productSettingsFormImages" property="productID"/>
		<table class="tabDetails customSettings">
			<c:set var="thisClass" scope="request" value="altRow"/>
			<logic:iterate name="productSettings" id="settingRow" indexId="index">
				<logic:equal name="settingRow" property="type" value="IMAGE">
					<bean:define id="settingExists" value="true" toScope="request"/>
					<bean:define id="setting" name="settingRow" toScope="request"/>
					<c:choose><c:when test="${thisClass eq 'altRow'}"><c:set var="thisClass" scope="request" value=""/></c:when><c:otherwise><c:set var="thisClass" scope="request" value="altRow"/></c:otherwise></c:choose>
          <tr>
            <input type="hidden" name="code" value="<bean:write name="setting" property="code"/>" />
            <input type="hidden" name="valueType" value="<bean:write name="setting" property="valueType"/>" />
            <td>Path: <bean:write name="setting" property="description"/></td>
            <td>Type: <bean:write name="setting" property="name"/></td>
            <td>Alt Text: <html:text name="setting" property="value"/></td>
            <td>
              <a onclick="window.open('${setting.description}','_blank','height=400,width=500,scrollbars=yes'); return false;" target="_blank" href="${setting.description}">
                Preview
              </a>
            </td>
            <td class="value">
					    <a href="<c:out value="${settings.map.administratorURL}"/>/ProductSettingDeleteImage.do?productID=<bean:write name="productSettingsFormImages" property="productID"/>&productSettingID=<bean:write name="setting" property="productSettingID"/>">Delete</a>
				    </td>
          </tr>

        </logic:equal>
			</logic:iterate>
			<logic:notPresent name="settingExists">
				<tr><td>No additional images defined.</td></tr>
			</logic:notPresent>
		</table>
		<logic:equal name="editPermission" value="true">
			<logic:present name="settingExists">
				<br/>
				<input type="submit" class="button" name="settingsSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>"/>
			</logic:present>
		</logic:equal>
		<logic:present name="settingExists">
			<br/><br/>
		</logic:present>
	</html:form>
	
	<!-- Add Form -->
	<h2 class="administratorHeader">Add an additional image for <em><c:out value="${product.name}"/> (<c:out value="${product.code}"/>)</em></h2>
	<html:form action="/ProductSettingAddImage" method="post" enctype="multipart/form-data">
		<html:hidden name="productSettingsFormImages" property="productID"/>
    <html:hidden name="productSettingsFormImages" property="type" value="IMAGE"/>
    <html:hidden name="productSettingsFormImages" property="valueType" value="mediumValue"/>
		<table class="tabDetails settingAddForm">
      <tr>
        <td width="30%"><html:file property="additionalImageUpload" name="productSettingAddEditFormImages"></html:file></td>
        <td>Alt Text: <input type="text" name="mediumValue" value=""/></td>
      </tr>
		</table>
		<br/>
		<input type="submit" class="button" name="addProductSettingSubmit" value="Upload Image"/>
	</html:form>

</div>
