<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<script language="JavaScript" type="text/javascript">
	<!--
		function setValues() {
			document.forms.taxSettingsForm.activeTaxProcessors.value = '';
		    if (document.forms.taxSettingsForm.BasicTaxProcessor.checked) {
		    	if (document.forms.taxSettingsForm.activeTaxProcessors.value != '') {
			        document.forms.taxSettingsForm.activeTaxProcessors.value += ',';
			    }
			    document.forms.taxSettingsForm.activeTaxProcessors.value += 
			    	'com.softslate.commerce.businessobjects.tax.BasicTaxProcessor';
			}
			
		    if (document.forms.taxSettingsForm.AvaTaxProcessor.checked) {
		    	if (document.forms.taxSettingsForm.activeTaxProcessors.value != '') {
			        document.forms.taxSettingsForm.activeTaxProcessors.value += ',';
			    }
			    document.forms.taxSettingsForm.activeTaxProcessors.value += 
			    	'com.softslate.commerce.businessobjects.tax.AvaTaxProcessor';
			}
			//alert(document.forms.taxSettingsForm.activeTaxProcessors.value);
		}
	//-->
</script>
<%
	java.util.Properties appComponents = (java.util.Properties) application.getAttribute("appComponents");
	String activeTaxProcessors = appComponents.getProperty("activeTaxProcessors");
	pageContext.setAttribute("activeTaxProcessors", activeTaxProcessors);
%>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<html:form action="/TaxSettingsProcess" method="post">
	<input type="hidden" name="activeTaxProcessors" value="<c:out value="${ activeTaxProcessors}"/>"/>

	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<c:choose>
			<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
			<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
		</c:choose>
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting">Active Tax Components:</td>
			<td class="value">
				
				<%-- Basic tax processor. --%>
				<logic:match name="activeTaxProcessors" value="com.softslate.commerce.businessobjects.tax.BasicTaxProcessor">
					<input type="checkbox" id="BasicTaxProcessor" name="BasicTaxProcessor" value="1" checked="checked" onclick="javascript:setValues()"/>
				</logic:match>
				<logic:notMatch name="activeTaxProcessors" value="com.softslate.commerce.businessobjects.tax.BasicTaxProcessor">
					<input type="checkbox" id="BasicTaxProcessor" name="BasicTaxProcessor" value="1" onclick="javascript:setValues()"/>
				</logic:notMatch>
				&nbsp;
				<label for="BasicTaxProcessor">Basic Tax Rates<br />Computes taxes based on the Basic Tax Rates defined for the customer's country, state, postal code, or city.</label>
				<br/><br/>
				
				<%-- AvaTax processor. --%>
				<logic:match name="activeTaxProcessors" value="com.softslate.commerce.businessobjects.tax.AvaTaxProcessor">
					<input type="checkbox" id="AvaTaxProcessor" name="AvaTaxProcessor" value="1" checked="checked" onclick="javascript:setValues()"/>
				</logic:match>
				<logic:notMatch name="activeTaxProcessors" value="com.softslate.commerce.businessobjects.tax.AvaTaxProcessor">
					<input type="checkbox" id="AvaTaxProcessor" name="AvaTaxProcessor" value="1" onclick="javascript:setValues()"/>
				</logic:notMatch>
				&nbsp;
				<label for="AvaTaxProcessor">AvaTax Processor<br />Computes taxes by connecting in real time to the AvaTax tax calcuation service.</label>
				<br/><br/>
				<ul class="notesList">
					<li class="important">
						Changing this field will update the /WEB-INF/classes/appComponents-custom.properties file. 
						The application server must have writable permission for that file.
						If you are running this application in a clustered environment, change this file manually on each server, instead of using this screen.
						Please be aware some application servers are configured to reload the application when a file under /WEB-INF/classes changes.
					</li>
				</ul>
			 </td>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="TAXES">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<bean:define id="setting" name="settingRow" toScope="request"/>
				<jsp:include page="/WEB-INF/templates/administrator/default/core/setting.jsp"/>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,taxEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>
