<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %>
<!-- Start layout.jsp -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<title><bean:message key="page.title"/></title>
		<script type="text/javascript" src="<c:out value="${pageContext.request.contextPath}"/>/administrator/helpSupport.js"></script>
		<link rel="stylesheet" type="text/css" href="<c:out value="${pageContext.request.contextPath}"/>/css/base/base.css" />
		<link rel="stylesheet" type="text/css" href="<c:out value="${pageContext.request.contextPath}"/>/css/orangecrush/orangecrush.css" />
		<link rel="stylesheet" type="text/css" media="print" href="<c:out value="${pageContext.request.contextPath}"/>/css/base/print.css" />
		<style type="text/css">
			table#installerSteps td { font-size: 82%; }
			table#installerSteps td.stepNumber { padding: 10px 0; color: #ccc; font-weight: bold; font-size: 80px; vertical-align: top; text-align: center; }
			div.helpContentInline {
			    border: 1px solid #EEC31E;
			    display: none;
			    margin: 0.75em 1em 0.75em 0;
			    padding: 1em 1em 0;
			}
			ul.inline {
			    margin: 0 0 0 5px;
			}
			li.inline {
			    background: url("images/plus.gif") no-repeat scroll 0 0.3em transparent;
			    list-style: none outside none;
			}
			li.inline a.inlineLink {
			    padding-left: 20px;
			}
		</style>
	</head>
	<body id="<c:out value="installerPage"/>" class="oneColumn">
		<div id="outerWrapper">
			<a id="top" href="#content">Skip to content</a>
			<div id="innerWrapper" class="clearit">
        		<tiles:insert attribute="header"/>
				<div id="main" class="clearit">
					<div id="content">
						<tiles:insert attribute="message"/>
						<tiles:insert attribute="error"/>
						<div id="<c:out value="${pageTitleShort}"/>Content" class="innerContent">
							<tiles:insert attribute="body"/>
						</div>
					</div>
				</div>
				<tiles:insert attribute="footer"/>
			</div>
		</div>
	</body>
</html>
<%--<%@ include file="/WEB-INF/layouts/default-xhtml/core/debug.jsp" %>--%>
<!-- End layout.jsp -->
