<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->

<c:choose>
	<c:when test="${settings.map.useAdvancedLostPassword eq '1'}">
		<div class="page-header">
			<h1 class="pageTitle"><bean:message key="customer.lostPasswordHeadlineAdvanced" bundle="/customer"/></h1>
		</div>
		<p class="instructions"><bean:message key="customer.lostPasswordInstructionsAdvanced" bundle="/customer"/></p>
	</c:when>
	<c:otherwise>
		<div class="page-header">
			<h1 class="pageTitle"><bean:message key="customer.lostPasswordHeadline" bundle="/customer"/></h1>
		</div>
		<p class="instructions"><bean:message key="customer.lostPasswordInstructions" bundle="/customer"/></p>
	</c:otherwise>
</c:choose>

<div class="col-xs-12 col-md-6">
	<form name="lostPasswordForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/LostPassword.do")%>" method="post">

		<%--Cross-site request forgery token--%>
		<html:hidden name="lostPasswordForm" property="csrfToken" value="${sessionScope.csrfToken}"/>

		<div class="form-group">
			<label for="lostPasswordEmail">
				<c:if test="${keepUserNameAndEmailInSync eq '1'}">
					<bean:message key="customer.email" bundle="/customer"/>:
				</c:if>
				<c:if test="${keepUserNameAndEmailInSync ne '1'}">
					<bean:message key="customer.userName" bundle="/customer"/>:
				</c:if>
			</label>
			<input type="email" id="lostPasswordEmail" class="form-control" name="userName" value="${lostPasswordForm.userName}">
		</div>
		
		<c:choose>
			<c:when test="${settings.map.useAdvancedLostPassword eq '1'}">
				<span id="lostPasswordButton" class="buttonWrap"><input type="submit" class="btn btn-primary" value="<bean:message key="customer.lostPasswordButtonAdvanced" bundle="/customer"/>"/></span>
			</c:when>
			<c:otherwise>
				<span id="lostPasswordButton" class="buttonWrap"><input type="submit" class="btn btn-primary" value="<bean:message key="customer.lostPasswordButton" bundle="/customer"/>"/></span>
			</c:otherwise>
		</c:choose>

	</form>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
