<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start resetPassword.jsp -->
<div class="page-header">
	<h1 class="pageTitle"><bean:message key="customer.lostPasswordResetHeadline" bundle="/customer"/></h1>
</div>
<p class="instructions"><bean:message key="customer.lostPasswordResetInstructions" bundle="/customer"/></p>
<script type="text/javascript">
	$(document).ready(function(){
		$("#resetPasswordForm").submit(function(event){
			//validate
			var password1 = $("#decryptedPassword1").val();
			var password2 = $("#decryptedPassword2").val();
			if (password1 != password2) {
				$("#decryptedPassword1").val("");
				$("#decryptedPassword2").val("");
				alert("Passwords do not match.");
				return false;
			}else{			
				return true;
			}
		 });
    });
</script>
<div class="col-xs-12 col-md-6">
	<form id="resetPasswordForm" name="resetPasswordForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CompleteResetPassword.do")%>" method="post">	
		<html:hidden name="resetPasswordForm" property="passwordToken"/>
		<html:hidden name="resetPasswordForm" property="csrfToken" value="${sessionScope.csrfToken}"/>
		<div class="form-group">
			<label for="decryptedPassword1">
				<bean:message key="customer.password" bundle="/customer"/>:
			</label>
			<input id="decryptedPassword1" type="password" name="decryptedPassword" class="form-control"/>
			<label for="decryptedPassword2">
				<bean:message key="customer.confirmPassword" bundle="/customer"/>:
			</label>
			<input id="decryptedPassword2" type="password" name="confirmPassword" class="form-control"/>
		</table>
		</div>
		<span id="lostPasswordButton" class="buttonWrap"><input id="resetPasswordButton" type="submit" class="btn btn-primary" value="<bean:message key="customer.resetPasswordButton" bundle="/customer"/>"/></span>
	</form>
</div>
<!-- End resetPassword.jsp -->