<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<div id="${cssIDName}" class="expandedInput attribute<c:if test="${attribute.attributeIsRequired}"> required</c:if>">
	<%-- Display the attribute's name. --%>
	<label for="${parameterName}" class="name">
		<c:out value="${attribute.attributeName}" escapeXml="false" />:
	</label>
	<table>
		<tr>
			<%-- Display the attribute input as a text area. --%>
			<c:if test="${! denyPurchase}">
				<td>
					<textarea id="${parameterName}" name="${parameterName}" <c:if test="${attribute.attributeIsRequired}"> required="required"</c:if>>${parameterValue}</textarea>
				</td>
			</c:if>
			<%-- Attribute price. --%>
			<c:if test="${!empty attribute.attributeUnitPrice && attribute.attributeUnitPrice > 0}">
				<td class="price">
					+<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${attribute.attributeUnitPrice}"/>
				</td>
			</c:if>
			<%-- Attribute inventory. --%>
			<c:if test="${trackAttribute}">
				<td class="inventory">
					${attrSku.inventoryLevel}
					<bean:message key="product.inventoryLevelCompact" bundle="/product"/>
				</td>
			</c:if>
			<%-- Attribute image. --%>
			<c:if test="${!empty attribute.attributeSmallImage}">
				<td class="image">
					<c:choose>
						<c:when test="${!empty attribute.attributeLargeImage}">
							<a onclick="window.open('${attribute.attributeLargeImage}','Zoom','height=400,width=500,scrollbars=yes')" href="#">
								<img class="img-responsive" src="${attribute.attributeSmallImage}"
								<c:if test="${!empty attribute.attributeName}"> title="${attribute.attributeName}" alt="${attribute.attributeName}"</c:if> />
							</a>
						</c:when>
						<c:otherwise>
							<img class="img-responsive" src="${attribute.attributeSmallImage}"
							<c:if test="${!empty attribute.attributeName}"> title="${attribute.attributeName}" alt="${attribute.attributeName}"</c:if> />
						</c:otherwise>
					</c:choose>
				</td>
			</c:if>
			<%-- Attribute description --%>
			<c:if test="${!empty attribute.attributeDescription}">
				<td class="description">
					<c:out value="${attribute.attributeDescription}" escapeXml="false" />
				</td>
			</c:if>
		</tr>
	</table>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
