<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<c:if test="${!empty user and !empty user.customer and !empty user.customer.customerWishLists}">
	<bean:size id="wishListCount" collection="${user.customer.customerWishLists}"/>
</c:if>

<div id="wishListAdd-${product.code}" class="wishListAdd">

<c:choose>
	<c:when test="${empty user or empty user.customer or empty user.customer.customerWishLists or user.customer.customerWishLists['empty']}">
		<%-- Generic link that will make the user login --%>
		<form class="wishListProductAddForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/WishListAddProduct.do")%>" method="post">
			<input type="hidden" name="productCode" value="${product.code}"/>
			<input type="hidden" name="customerWishListID" value="0" />
			<input type="submit" name="submit" class="btn btn-default" value="<bean:message key="wishList.addProductButton" bundle="/customer"/>"/>
		</form>
	</c:when>
	<c:otherwise>
		<%-- Link to add to wish list --%>
		<c:set var="customer" value="${user.customer}"/>
		<form class="wishListProductAddForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/WishListAddProduct.do")%>" method="post">
			<input type="hidden" name="productCode" value="${product.code}"/>
			<c:choose>
				<c:when test="${wishListCount == 1}">
					<c:forEach items="${user.customer.customerWishLists}" var="customerWishList">
						<input type="hidden" name="customerWishListID" value="${customerWishList.customerWishListID}"/>
					</c:forEach>
				</c:when>
				<c:otherwise>
					<select name="customerWishListID">
						<c:forEach items="${user.customer.customerWishLists}" var="customerWishList">
							<option value="${customerWishList.customerWishListID}">${customerWishList.name}</option>
						</c:forEach>
					</select>
				</c:otherwise>
			</c:choose>
			<span id="addToWishListButton" class="buttonWrap"><input type="submit" name="submit" class="btn btn-default" value="<bean:message key="wishList.addProductButton" bundle="/customer"/>"/></span>
		</form>
	</c:otherwise>
</c:choose>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
