<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start inviteLoginLayout.jsp -->
<div class="checkoutLoginPage">

	<h1><bean:message key="checkoutInviteLogin.headline" bundle="/order"/></h1>
	<p class="instructions"><bean:message key="checkoutInviteLogin.instructions" bundle="/order" /></p>
	
	<fieldset id="returningCustomers" class="sideBySide">
		<legend><bean:message key="customer.returningCustomers" bundle="/customer"/></legend>
		<div class="fieldsetContents">
			<form name="loginForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutInviteLogin.do")%>" method="post">
				<tiles:insert attribute="login"/>
			</form>
			<br />
			<h3><bean:message key="general.or" /></h3>
			<br />
			<tiles:insert attribute="lostPasswordLink"/>
		</div>
	</fieldset>
	
	<fieldset id="newCustomers" class="sideBySide">
		<legend><bean:message key="customer.newCustomers" bundle="/customer"/></legend>
		<div class="fieldsetContents">
			<form name="loginForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutInviteRegister.do")%>" method="post">
				<tiles:insert attribute="registerForm"/>
			</form>
			<br />
			<h3><bean:message key="general.or" /></h3>
			<br />
			<tiles:insert attribute="declineLogin"/>
		</div>
	</fieldset>

</div>
<!-- End inviteLoginLayout.jsp -->
