<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start payflowProACHForm.jsp -->
<bean:define id="displayCheckoutConfirm" name="settings" property="value(displayCheckoutConfirm)" type="java.lang.String" />

<fieldset id="payflowProACHForm" class="paymentInformation">
	<legend><bean:message key="paymentForms.ACHHeading" bundle="/order" /></legend>

	<label for="achName" class="requiredLabel"><bean:message key="paymentForms.ACHName" bundle="/order" /></label>
	<html:text styleId="achName" styleClass="textbox" name="${thisForm}" property="nameOnAccount" />
	<br />

	<label for="achRoutingNumber" class="requiredLabel"><bean:message key="paymentForms.ACHABANumber" bundle="/order" /></label>
	<html:text styleId="achRoutingNumber" styleClass="textbox" name="${thisForm}" property="ABARoutingNumber" />
	<br />

	<label for="accountType" class="requiredLabel"><bean:message key="paymentForms.ACHAcctType" bundle="/order" /></label>
	<html:select styleId="accountType" name="${thisForm}" property="acctType">
	<html:option value="C"><bean:message key="paymentForms.checking" bundle="/order" /></html:option>
	<html:option value="S"><bean:message key="paymentForms.savings" bundle="/order" /></html:option>
	</html:select>
	<br />

	<label for="accountNumber" class="requiredLabel"><bean:message key="paymentForms.ACHAcctNumber" bundle="/order" /></label>
	<html:text styleId="accountNumber" styleClass="textbox" name="${thisForm}" property="acctNumber" />
	<br />

	<logic:notPresent name="suppressSubmitButton">
		<div id="payflowProButton" class="paymentButton">
			<c:if test="${displayCheckoutConfirm eq '0'}">
				<input id="basicPaymentSubmit" type="submit" class="button" value="<bean:message key="paymentForms.button" bundle="/order"/>" />
			</c:if>
			<c:if test="${displayCheckoutConfirm eq '1'}">
				<input id="basicPaymentSubmit" type="submit" class="button" value="<bean:message key="paymentForms.continueButton" bundle="/order"/>" />
			</c:if>
		</div>
	</logic:notPresent>
	
</fieldset>
<!-- End payflowProACHForm.jsp -->
