<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start manufacturers.jsp -->
<c:set var="columnOrder" value="0"/>
<c:set var="numberOfColumns" value="3"/>
<c:if test="${!empty manufacturers and !manufacturers['empty']}">
	<div class="manufacturerList columnList">
		<table>
		<logic:iterate name="manufacturers" id="manufacturer" indexId="index">
			<c:if test="${manufacturer.isActive}">
				<c:set var="columnOrder" value="${columnOrder + 1}"/>
				<c:if test="${columnOrder eq '1'}">
					<tr>
				</c:if>
				<td id="manufacturerList-<c:out value="${manufacturer.code}"/>" class="manufacturer">
					<%-- Manufacturer image --%>
					<c:if test="${!empty manufacturer.smallImage}">
						<div class="image">
							<html:link href="${customerURL}/Manufacturer.do?code=${manufacturer.code}" >
								<img src="<c:out value="${manufacturer.smallImage}"/>"<c:if test="${!empty manufacturer.name}"> title="<c:out value="${manufacturer.name}"/>" alt="<c:out value="${manufacturer.name}"/>"</c:if>/>
							</html:link>
						</div>
					</c:if>
					<%-- Manufacturer name --%>
					<c:if test="${!empty manufacturer.name}">
						<h3 class="name">
							<html:link href="${customerURL}/Manufacturer.do?code=${manufacturer.code}">
								<c:out value="${manufacturer.name}" escapeXml="false"/>
							</html:link>
						</h3>
					</c:if>
					<%-- Manufacturer view details link --%>
					<p class="viewDetails">
						<html:link href="${customerURL}/Manufacturer.do?code=${manufacturer.code}">
							<bean:message key="productList.viewDetails" bundle="/product"/>
						</html:link>
					</p>
				</td>
				<c:if test="${columnOrder == numberOfColumns}">
					<c:set var="columnOrder" value="0"/>
					</tr>
				</c:if>
			</c:if>
		</logic:iterate>
		<c:if test="${columnOrder ne '0'}">
			<c:set var="columnSpan2" value="${numberOfColumns - 1}" />
			<td class="filler" colspan="<c:out value="${columnSpan}"/>">&nbsp;</td>
			</tr>
		</c:if>
	</table>
	</div>
</c:if>
<!-- End manufacturers.jsp -->
