package com.softslate.commerce.administrator.product;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.upload.FormFile;

/**
 * Add additional product images.
 * @author Tony Zakula
 */
public class ProductSettingAddEditFormImages extends BaseAdministratorForm {

  private static final long serialVersionUID = 1L;

  static Log log = LogFactory.getLog(ProductSettingAddEditFormImages.class);

    private FormFile additionalImageUpload = null;

  public FormFile getAdditionalImageUpload() {
    return additionalImageUpload;
  }

  public void setAdditionalImageUpload(FormFile additionalImageUpload) {
    this.additionalImageUpload = additionalImageUpload;
  }

    private String parentName = null;

    private String productSettingID = null;

    private String productID = null;

    private String code = null;

    private String name = null;

    private String description = null;

    private String type = null;

    private String valueType = null;

    private String value = null;

    private String integerValue;

    private String smallValue = null;

    private String mediumValue = null;

    private String textValue = null;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getMediumValue() {
        return mediumValue;
    }

    public void setMediumValue(String mediumValue) {
        this.mediumValue = mediumValue;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSmallValue() {
        return smallValue;
    }

    public void setSmallValue(String smallValue) {
        this.smallValue = smallValue;
    }

    public String getTextValue() {
        return textValue;
    }

    public void setTextValue(String textValue) {
        this.textValue = textValue;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getValueType() {
        return valueType;
    }

    public void setValueType(String valueType) {
        this.valueType = valueType;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getProductSettingID() {
        return productSettingID;
    }

    public void setProductSettingID(String productSettingID) {
        this.productSettingID = productSettingID;
    }

    public String getProductID() {
        return productID;
    }

    public void setProductID(String productID) {
        this.productID = productID;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getIntegerValue() {
        return integerValue;
    }

    public void setIntegerValue(String integerValue) {
        this.integerValue = integerValue;
    }

}
