package com.softslate.commerce.administrator.product;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

/**
 * @author David Tobey
 *  
 */
public class ProductSettingsFormFacets extends ProductSettingsFormGeneral {

	private static final long serialVersionUID = 1L;

	static Log log = LogFactory.getLog(ProductSettingsFormFacets.class);

    private String productID = null;

    private String parentName = null;

    private String breadcrumbName = "facets";

    private String breadcrumbTarget = "ProductSettingsFacets.do";

    private String[] code = null;

	private String[] name = null;

    private String[] value = null;

    private String[] valueType = null;

	private String[] description = null;

    public String[] getCode() {
        return code;
    }

    public void setCode(String[] code) {
        this.code = code;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getProductID() {
        return productID;
    }

    public void setProductID(String productID) {
        this.productID = productID;
    }

    public String[] getValue() {
        return value;
    }

    public void setValue(String[] value) {
        this.value = value;
    }

    public String[] getValueType() {
        return valueType;
    }

    public void setValueType(String[] valueType) {
        this.valueType = valueType;
    }

	public String[] getName() {
		return name;
	}

	public void setName(String[] name) {
		this.name = name;
	}

	public String[] getDescription() {
		return description;
	}

	public void setDescription(String[] description) {
		this.description = description;
	}

	public String getBreadcrumbName() {
        return breadcrumbName;
    }

    public void setBreadcrumbName(String breadcrumbName) {
        this.breadcrumbName = breadcrumbName;
    }

    public String getBreadcrumbTarget() {
        return breadcrumbTarget;
    }

    public void setBreadcrumbTarget(String breadcrumbTarget) {
        this.breadcrumbTarget = breadcrumbTarget;
    }

    public ActionErrors validate(ActionMapping mapping,
            HttpServletRequest request) {
        if (log.isDebugEnabled())
            log.debug("Starting validation.");
        initializeProperties(mapping, request);
        return getErrors();
    }

}
