package com.softslate.commerce.businessobjects.core;

/**
 * Exception class for exceptions thrown by the application.
 * 
 * @author David Tobey
 */
public class ApplicationException extends Exception {

    private static final long serialVersionUID = 3210560269264340381L;

    public ApplicationException() {
        super();
    }

    public ApplicationException(String message) {
        super(message);
    }

    public ApplicationException(String message, Throwable cause) {
        super(message, cause);
    }

    public ApplicationException(Throwable cause) {
        super(cause);
    }
}
