package com.softslate.commerce.customer.customer;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseForm;

/**
 * 
 * @author mgroves, jmcwill
 */
public class ResetPasswordForm extends BaseForm {

	/**
	 * 
	 */
	private static final long serialVersionUID = 3447564387485790605L;

	static Log log = LogFactory.getLog(ResetPasswordForm.class);

	private String passwordToken;

	public String getPasswordToken() {
		return passwordToken;
	}

	public void setPasswordToken(String token) {
		this.passwordToken = token;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isInfoEnabled())
			log.info("Starting validation.");
		initializeProperties(mapping, request);
		if (StringUtils.isBlank(getPasswordToken())) {
			getErrors()
					.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Reset password token"));
		}
		return getErrors();
	}
}
