package com.softslate.commerce.daos.administrator;

import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.BaseAdminGatewayDAOHibernate;

/**
 * Generic DAO that runs miscellaneous queries related to roles.
 * 
 * @author David Tobey
 * 
 */
public class RoleGatewayDAOHibernate extends BaseAdminGatewayDAOHibernate implements RoleGatewayDAO {

	static Log log = LogFactory.getLog(RoleGatewayDAOHibernate.class);

	public Map loadRolesAndCount(Map parameters) throws Exception {
		return loadItemsAndCount(parameters);
	}

	public Map editDeleteRoles(Map parameters, BusinessObjectFactory bof) throws Exception {
		return editDeleteItems(parameters, bof);
	}
}
