<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<bean:define id="encryptionType" name="settings" property="value(paymentEncryptionType)" type="java.lang.String" />

<!-- Start paymentFormGuts.jsp -->
<html:hidden name="paymentAddEditForm" property="orderID" />
<logic:notEmpty name="paymentAddEditForm" property="parentName">
	<html:hidden name="paymentAddEditForm" property="parentName" />
</logic:notEmpty>
<tr>
	<td class="genericLabel">
		Status:
	</td>
	<td>
		<html:text maxlength="100" name="paymentAddEditForm" property="status" />
	</td>
</tr>
<logic:equal name="editing" value="true">
	<html:hidden name="paymentAddEditForm" property="created"/>
	<c:if test="${!empty paymentAddEditForm.created}">
		<tr>
			<td class="genericLabel">Created:</td>
			<td class="genericData">
				<bean:write name="paymentAddEditForm" property="created"/>
				
			</td>
		</tr>
	</c:if>
</logic:equal>
<tr>
	<td class="genericLabel">
		Amount:
	</td>
	<td>
		<html:text name="paymentAddEditForm" property="amount" maxlength="9" styleClass="number"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Credit Card Name:
	</td>
	<td>
		<html:text maxlength="64" name="paymentAddEditForm" property="creditCardName" />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Credit Card Type:
	</td>
	<td>
		<html:text size="15" maxlength="16" name="paymentAddEditForm" property="creditCardType" />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Credit Card Date:
	</td>
	<td>
		<html:text size="15" maxlength="16" name="paymentAddEditForm" property="creditCardDate" />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Credit Card Number:
	</td>
	<td>
		<c:choose>
			<c:when test="${encryptionType eq 'keyPairNoStore'}">
				<html:hidden name="paymentAddEditForm" property="decryptedNumber" value="[oneWayEncryption]" /> 
				[Encrypted]
			</c:when>
			<c:when test="${encryptionType eq 'oneWay'}">
				<html:hidden name="paymentAddEditForm" property="decryptedNumber" value="[keyPairNoStoreEncryption]" />
				[Encrypted]
			</c:when>
			<c:otherwise>
				<html:text name="paymentAddEditForm" property="decryptedNumber" maxlength="255" />
			</c:otherwise>
		</c:choose>
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Credit Card Number Display:
	</td>
	<td>
		<html:text maxlength="32" name="paymentAddEditForm" property="creditCardNumberDisplay" />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Processor Class:
	</td>
	<td>
		<html:text size="30" maxlength="255" name="paymentAddEditForm" property="processorClassName" />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Value Field Labels:
	</td>
	<td>
		<html:text size="30" maxlength="255" name="paymentAddEditForm" property="valueFieldLabels" />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Value 1:
	</td>
	<td>
		<html:text size="30" maxlength="255" name="paymentAddEditForm" property="value1" />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Value 2:
	</td>
	<td>
		<html:text size="30" maxlength="255" name="paymentAddEditForm" property="value2" />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Value 3:
	</td>
	<td>
		<html:text size="30" maxlength="255" name="paymentAddEditForm" property="value3" />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Value 4:
	</td>
	<td>
		<html:text size="30" maxlength="255" name="paymentAddEditForm" property="value4" />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Value 5:
	</td>
	<td>
		<html:text size="30" maxlength="255" name="paymentAddEditForm" property="value5" />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Value 6:
	</td>
	<td>
		<html:text size="30" maxlength="255" name="paymentAddEditForm" property="value6" />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Value 7:
	</td>
	<td>
		<html:text size="30" maxlength="255" name="paymentAddEditForm" property="value7" />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Value 8:
	</td>
	<td>
		<html:text size="30" maxlength="255" name="paymentAddEditForm" property="value8" />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Value 9:
	</td>
	<td>
		<html:textarea cols="50" rows="10" name="paymentAddEditForm" property="value9" />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Extra 1:
	</td>
	<td>
		<html:text size="30" maxlength="255" name="paymentAddEditForm" property="extra1" />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Extra 2:
	</td>
	<td>
		<html:text size="30" maxlength="255" name="paymentAddEditForm" property="extra2" />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Extra 3:
	</td>
	<td>
		<html:text size="30" maxlength="255" name="paymentAddEditForm" property="extra3" />
	</td>
</tr>
<tr>
	<td class="genericLabel">Payment Profile ID:</td>
	<td class="value">
		<html:text name="paymentAddEditForm" property="paymentProfileID" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<!-- End paymentFormGuts.jsp -->
