<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)"/>

<!-- Start attributeLinks.jsp -->
<c:if test="${empty requestScope.product}">
	<ul class="adminLinks">
		<li<c:if test="${screen eq 'attribute.attributeEditFormLayout' }"> class="active"</c:if>>
			<a href="<%=response.encodeURL(administratorURL + "/AttributeEditForm.do")%>?attributeID=<c:out value="${attribute.attributeID}"/>">
				Details
			</a>
		</li>
		<logic:present role="superuser,administrator,optionView,optionEdit">
			<li<c:if test="${screen eq 'product.optionLayout'
							 or screen eq 'product.optionAddFormLayout'
							 or screen eq 'product.optionEditFormLayout'}"> class="active"</c:if>>
				<a href="<%=response.encodeURL(administratorURL + "/Option.do")%>?attributeID=<c:out value="${attribute.attributeID}"/>">
					Options
				</a>
			</li>
		</logic:present>
		<logic:present role="superuser,administrator,productView,productEdit">
			<c:if test="${empty requestScope.product}">
				<li<c:if test="${screen eq 'product.productLayout' }"> class="active"</c:if>>
					<a href="<%=response.encodeURL(administratorURL + "/Product.do")%>?attributeID=<c:out value="${attribute.attributeID}"/>&assignments=assigned&parentIDField=attributeID">
						Products
					</a>
				</li>
			</c:if>
		</logic:present>
	</ul>
</c:if>
<!-- End attributeLinks.jsp -->
